## dbs 0.34

=== Makefile ===
#!/usr/bin/make -f

VARSBUILD=/usr/share/dbs/vars.build

all: sh.vars mk.vars

clean:
	rm -f sh.vars mk.vars

mk.vars: vars
	$(SHELL) $(VARSBUILD) vars make > $@
sh.vars: vars
	$(SHELL) $(VARSBUILD) vars shell > $@

## dbs 0.9

=== debian/changelog ===
dbs (0.9) unstable; urgency=low

  * Include my website in package's description.
  * Add contributed man page.
  * Both of these; closes: #141957
  * Update list of authors in copyright file based on manpage.

 -- Brian May <bam@snoopy.apana.org.au>  Mon, 15 Apr 2002 09:46:18 +1000

dbs (0.8) unstable; urgency=low

  * Fix description (closes: #123296).
  * Add unpack target (closes: #136838).
  * Fix lintian errors/warnings.

 -- Brian May <bam@snoopy.apana.org.au>  Fri,  8 Mar 2002 14:45:08 +1100

dbs (0.7) unstable; urgency=low

  * Rename dh_split to dbs_split (closes: #115048).

 -- Brian May <bam@snoopy.apana.org.au>  Wed, 17 Oct 2001 15:21:47 +1000

dbs (0.6) unstable; urgency=low

  * Really fix := problem now (closes: #113371)

 -- Brian May <bam@snoopy.apana.org.au>  Wed,  3 Oct 2001 17:23:34 +1000

dbs (0.5) unstable; urgency=low

  * Change incorrect usage of := to =, closes #113371
  * Fix location of file2cat, closes #113647

 -- Brian May <bam@snoopy.apana.org.au>  Fri, 28 Sep 2001 10:43:35 +1000

dbs (0.4) unstable; urgency=low

  * Remove bashism from dbs-edit-patch (closes: #112582).

 -- Brian May <bam@snoopy.apana.org.au>  Tue, 18 Sep 2001 10:01:50 +1000

dbs (0.3) unstable; urgency=low

  * Fix path in man page (closes: #112481).

 -- Brian May <bam@snoopy.apana.org.au>  Mon, 17 Sep 2001 09:41:08 +1000

dbs (0.2) unstable; urgency=low

  * Add SCRIPT_DIR definition (closes: #111329).

 -- Brian May <bam@snoopy.apana.org.au>  Fri,  7 Sep 2001 16:55:29 +1000

dbs (0.1) unstable; urgency=low

  * Use updated dbs-build.mk from db3 (closes: #110566).
  * Add extra scripts used in db3.

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 30 Aug 2001 09:44:20 +1000

dbs (0.0) unstable; urgency=low

  * Initial Release.

 -- Brian May <bam@debian.org>  Wed, 31 Jan 2001 11:46:26 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dbs
Section: devel
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends-Indep: debhelper
Standards-Version: 3.5.6

Package: dbs
Architecture: all
Depends: make
Description: Files used for the development of DBS source packages
 DBS stands for Debian Build System and is an alternative approach for
 source packages which want to ship a pristine source and then apply
 patches to it. This allows the distribution of multiple patches inside
 one package that are applied during the build process.
 .
 Please see http://snoopy.apana.org.au/~bam/debian/faq/#dbs for further
 information on DBS.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m755 dbs-edit-patch debian/tmp/usr/bin
	install -m755 file2cat debian/tmp/usr/share/dbs
	install -m755 dbs_split debian/tmp/usr/share/dbs
	install -m755 dbs-build.mk debian/tmp/usr/share/dbs
	install -m644 dpkg-arch.mk debian/tmp/usr/share/dbs

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion -i
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installinit -i
	dh_installcron -i
	dh_installman -i dbs-edit-patch.1
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	# You may want to make some executables suid here.
	dh_suidregister -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#!#	dh_testversion  -a
#!	dh_testdir -a
#!	dh_testroot -a
#!#	dh_installdebconf -a
#!	dh_installdocs -a
#!	dh_installexamples -a
#!	dh_installmenu -a
#!#	dh_installemacsen -a
#!#	dh_installpam -a
#!#	dh_installinit -a
#!	dh_installcron -a
#!	dh_installman -a
#!	dh_installinfo -a
#!#	dh_undocumented -a
#!	dh_installchangelogs  -a
#!	dh_link -a
#!	dh_strip -a
#!	dh_compress -a
#!	dh_fixperms -a
#!	# You may want to make some executables suid here.
#!	dh_suidregister -a
#!#	dh_makeshlibs -a
#!	dh_installdeb -a
#!#	dh_perl -a
#!	dh_shlibdeps -a
#!	dh_gencontrol -a
#!	dh_md5sums -a
#!	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dbs 0.31embed1

=== debian/changelog ===
dbs (0.31) unstable; urgency=low

  * Changed dbs-edit-patch manpage to be generated from a docbook source
    (Closes: #241061)
  * Stopped sourcing lib.compat from lib. This makes all shell function
    declarations POSIX compliant.

 -- Warren Turkal <wt@midsouth.rr.com>  Sun,  4 Apr 2004 13:48:06 -0500

dbs (0.30.0) unstable; urgency=low

  * Added a notice about pre 0.27 source incompatibility.
    Please see README.UPDATING for important info regarding this change if
    you source the lib script directly. (closes: #224168)
  * Added a compatibility layer for pre 0.27.
    The compatibility layer kills compatibility with dash shells since it does
    not work in them.

 -- Warren Turkal <wt@midsouth.rr.com>  Thu, 18 Dec 2003 06:29:59 -0600

dbs (0.29) unstable; urgency=low

  * NMU by package sponsor: Fix sys-build.mk to use new function naming
    convention (closes: #224219).

 -- Brian May <bam@snoopy.apana.org.au>  Wed, 17 Dec 2003 18:41:13 +1100

dbs (0.28) unstable; urgency=low

  * Fix CVS and subversion issues (closes: #222456):
    - dbs-build.mk: do not to dive into hidden directories
        (directories preceded by a ".") or the CVS.
    - dbs-edit-patch: do not dive into the CVS directory.
  * dbs-edit-patch: only applies patches that would come before a newly
    named patch in C lexical order instead of applying all patches.

 -- Warren Turkal <wt@midsouth.rr.com>  Sun, 14 Dec 2003 20:28:26 -0600

dbs (0.27) unstable; urgency=low

  * change of maintainer
  * add the perl dependencies
  * change oddly funtions with "." in their names to have "_" in their names
    since dash chokes on them, presumably meaning that those function names
    were not POSIX compliant
  * code shuffle in dbs-edit-patch (closes: #223515)

 -- Warren Turkal <wt@midsouth.rr.com>  Wed, 10 Dec 2003 18:51:12 -0600

dbs (0.26) unstable; urgency=low

  * Change tar xv to tar xvf -, so it will work even if TAPE is defined,
    closes: #214789, #218059. Three instances were changed, dbs-build.mk:66,
    lib:92, and dbs-edit-patch:135. 
  * Make /etc/bash_completion.d/dbs-edit-patch a conffile.
  * Remove call to dh_suidregister, no setuid files here anyway.
  * Update to debian-policy 3.6.1

 -- Brian May <bam@snoopy.apana.org.au>  Sat, 22 Nov 2003 17:41:13 +1100

dbs (0.25) unstable; urgency=low

  * Add list of contributors to README.Debian.
  * Fix vars file path (closes: #206957). Thanks
    Guillem Jover <guillem@debian.org>.

 -- Brian May <bam@debian.org>  Sat, 30 Aug 2003 11:54:12 +1000

dbs (0.24) unstable; urgency=low

  * Force LC_COLLATE=C before calling sort (closes: #204617).
  * Ignore hidden files in patch directory (closes: #204944).
    Thanks Warren Turkal <wturkal@cbu.edu>.

 -- Brian May <bam@debian.org>  Sun, 24 Aug 2003 09:51:30 +1000

dbs (0.23) unstable; urgency=low

  * Add reference to hello-dbs in README.Debian. (closes: #195272).

  * Rewrite README.Debian, remove obsolete references to phrases like
  "this is the first release", mention that there are two build systems
  that are currently supported.

 -- Brian May <bam@debian.org>  Wed,  6 Aug 2003 11:54:18 +1000

dbs (0.22) unstable; urgency=low

  * Fix line quoting in messages files (closes: #186620).
  * Fix quoting issues quoted in bug #180861. Hopefully I didn't
    miss any...
  * dbs-editpatch: insert hooks before patch is created and after.
    I am somewhat skeptical of how useful this might be, but adding it
    anyway (closes: #180861)

 -- Brian May <bam@debian.org>  Mon, 31 Mar 2003 10:21:00 +1000

dbs (0.21) unstable; urgency=low

  * Initialize DEST_DIR before use.
  * "New improved" code didn't stop dbs-update-patch aborting
    when diff returned 1, fixed.
  * Don't overwrite patch until all diffs succeed.
  * Change references from debian/sys-build.mk to /usr/share/dbs/sys-build.mk.
  * These are bugs that are fixed by the patch in bug #175591,
    however, I haven't applied the bulk on the patch yet.

 -- Brian May <bam@debian.org>  Wed, 12 Feb 2003 12:36:36 +1100

dbs (0.20) unstable; urgency=low

  * Fix dbs-update-patch to work properly with spaces in the source
  code (closes: #180584). Note: Files in $SRC_TAR_DIR, $SRC_PATCH_DIR,
  $OUT_DIR (if $STRIP==1), and $PATCH_DIR will most likely break
  dbs-edit-patch if they have spaces. Patches to fix these issues
  welcome.

 -- Brian May <bam@debian.org>  Wed, 12 Feb 2003 10:16:42 +1100

dbs (0.19) unstable; urgency=low

  * Replace synopsis (closes: #175612).

 -- Brian May <bam@debian.org>  Tue,  7 Jan 2003 11:39:31 +1100

dbs (0.18) unstable; urgency=low

  * Add missing sys-build.mk file, seemed to go missing from new dbs
    version.  (now all I need is an example that will use this new
    system...)
  * Fix bug in dbs-edit-patch, it should now work correctly even
    if multiple upstream directories are available (closes: #175586).

 -- Brian May <bam@debian.org>  Tue,  7 Jan 2003 09:10:07 +1100

dbs (0.17) unstable; urgency=low

  * Apply patch from Andrew Stribblehill <a.d.stribblehill@durham.ac.uk>
    to fix dbs-edit-patch which was previously broken by last update.
    Thanks Andrew. Closes: #168057. It now works at least for Heimdal.

 -- Brian May <bam@debian.org>  Sun, 24 Nov 2002 15:48:13 +1100

dbs (0.16) unstable; urgency=low

  * dbs-update-patch: don't return an error if diff returns 1 (closes:
    #164831).
  * Upgrade to dbs to version included in glib2.0 (closes: #161029). As this
    version seems to be invoked differently to existing versions, the source
    code will need to be modified for any changes to take effect.
    The new file is /usr/share/dbs/sys-build.mk.
  * Upgrade dbs-edit-patch to use new features of new glib2.0 version of dbs (closes: #161028).

 -- Brian May <bam@snoopy.apana.org.au>  Wed, 16 Oct 2002 12:15:03 +1000

dbs (0.15) unstable; urgency=low

  * Exclude patch files matching *~ and *.bak (closes #160853).
  * Add bash shell completion script (closes: #161030).



=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	
 	# Add here commands to compile the package.
 	#$(MAKE)
+	xmlto man dbs-edit-patch.xml
 
 	touch build-stamp
 
@@ -25,6 +26,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	rm -f dbs-edit-patch.1
 
 	dh_clean
 
@@ -38,7 +40,18 @@
 	install -m755 file2cat debian/tmp/usr/share/dbs
 	install -m755 dbs_split debian/tmp/usr/share/dbs
 	install -m755 dbs-build.mk debian/tmp/usr/share/dbs
+	install -m755 sys-build.mk debian/tmp/usr/share/dbs
 	install -m644 dpkg-arch.mk debian/tmp/usr/share/dbs
+	install -m644 bash_completion debian/tmp/etc/bash_completion.d/dbs-edit-patch
+
+	install -m755 archmap debian/tmp/usr/share/dbs
+	install -m755 getglibcversion debian/tmp/usr/share/dbs
+	install -m755 lib debian/tmp/usr/share/dbs
+#	install -m644 lib.compat debian/tmp/usr/share/dbs
+	install -m755 Makefile debian/tmp/usr/share/dbs
+	install -m644 messages debian/tmp/usr/share/dbs
+	install -m755 source.unpack debian/tmp/usr/share/dbs
+	install -m755 vars.build debian/tmp/usr/share/dbs
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -47,13 +60,13 @@
 	dh_testroot -i
 #	dh_installdebconf -i
 	dh_installdocs -i
-	dh_installexamples -i
+	dh_installexamples -i vars
 	dh_installmenu -i
 #	dh_installemacsen -i
 #	dh_installpam -i
 #	dh_installinit -i
 	dh_installcron -i
-	dh_installman -i dbs-edit-patch.1
+	dh_installman -i dbs-edit-patch.1 dbs.7
 	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installchangelogs  -i
@@ -62,10 +75,10 @@
 	dh_compress -i
 	dh_fixperms -i
 	# You may want to make some executables suid here.
-	dh_suidregister -i
+#	dh_suidregister -i
 #	dh_makeshlibs -i
 	dh_installdeb -i
-#	dh_perl -i
+	dh_perl -i
 	dh_shlibdeps -i
 	dh_gencontrol -i
 	dh_md5sums -i

## dbs 0.34

=== debian/changelog ===
dbs (0.34) unstable; urgency=low

  * Fix the incorrect make_patch. (closes: #248479)

 -- Warren Turkal <wt@midsouth.rr.com>  Mon, 24 May 2004 05:34:54 -0500

dbs (0.33) unstable; urgency=low

  * Make more clear in README.Debian that there is more documentation in the
    manpages. (closes: #248484)
  * Changed some buggy sed expressions to correctly remove "./" from the front
    of files returned by find. (closes: #248475)

 -- Warren Turkal <wt@midsouth.rr.com>  Thu, 13 May 2004 16:22:54 -0500

dbs (0.32) unstable; urgency=low

  * Remove lib.compat from the source package. This file was left in the last
    revision just in case someone had an issue that needed to be quickly
    reverted to prior behavior.

 -- Warren Turkal <wt@midsouth.rr.com>  Mon, 26 Apr 2004 16:12:24 -0500

=== original-glib2.0-2.0.6/debian/changelog ===
glib2.0 (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: removed --enable-debug option. conform to the default value
    now. (closes: Bug#151815)
  * debian/patches/000_glib2.0-garray.patch: removed because it's merged by
    the upstream.

 -- Akira TAGOH <tagoh@debian.org>  Sun,  4 Aug 2002 16:05:03 +0900

glib2.0 (2.0.4-3) unstable; urgency=low

  * debian/patches/000_glib2.0-garray.patch:
    applied to fix g_ptr_array_index() macro. (closes: Bug#150521)

 -- Akira TAGOH <tagoh@debian.org>  Sat, 29 Jun 2002 19:46:51 +0900

glib2.0 (2.0.4-2) unstable; urgency=low

  * debian/libglib2.0-doc.doc-base.gobject: fix the dupplicated title.
    (closes: Bug#150040)

 -- Akira TAGOH <tagoh@debian.org>  Sun, 16 Jun 2002 23:27:38 +0900

glib2.0 (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Sun, 16 Jun 2002 03:33:22 +0900

glib2.0 (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 29 May 2002 00:49:56 +0900

glib2.0 (2.0.1-2) unstable; urgency=low

  * debian/scripts/vars.build: fix bashism.
  * debian/README.Debian: add static link issue.
  * debian/rules: add --enable-static. (closes: Bug#142198)

 -- Akira TAGOH <tagoh@debian.org>  Thu, 11 Apr 2002 19:25:17 +0900

glib2.0 (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Sat, 30 Mar 2002 16:23:54 +0900

glib2.0 (2.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 12 Mar 2002 02:32:11 +0900

=== debian/control ===
Source: dbs
Section: devel
Priority: optional
Maintainer: Warren Turkal <wt@midsouth.rr.com>
Build-Depends-Indep: debhelper, xmlto
Standards-Version: 3.6.1

Package: dbs
Architecture: all
Depends: make, bzip2, ${perl:Depends}
Description: Allows Debian source packages with multiple patches
 DBS stands for Debian Build System and is an alternative approach for
 source packages which want to ship a pristine source and then apply
 patches to it. This allows the distribution of multiple patches inside
 one package that are applied during the build process.
 .
 Please see http://snoopy.apana.org.au/~bam/debian/faq/#dbs for further
 information on DBS.

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 	install -m755 archmap debian/tmp/usr/share/dbs
 	install -m755 getglibcversion debian/tmp/usr/share/dbs
 	install -m755 lib debian/tmp/usr/share/dbs
-#	install -m644 lib.compat debian/tmp/usr/share/dbs
 	install -m755 Makefile debian/tmp/usr/share/dbs
 	install -m644 messages debian/tmp/usr/share/dbs
 	install -m755 source.unpack debian/tmp/usr/share/dbs

## dbs 0.34.emdebian6

=== debian/changelog ===
dbs (0.34.emdebian6) unstable; urgency=low

  * dbs-build.mk dbs-edit-patch dbs_split emdebianized

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 14 Jun 2006 13:50:58 +0300

dbs (0.34.emdebian5) unstable; urgency=low

  * sys-build.mk: include make.inc, not shell.inc 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 19 May 2006 23:18:55 -0500

dbs (0.34.emdebian4) unstable; urgency=low

  * source.unpack fix: include shell.inc, not make.inc  

 -- Ed Bartosh <ed@gravitsapa.research.nokia.com>  Fri, 19 May 2006 18:56:40 -0500

dbs (0.34.emdebian3) unstable; urgency=low

  * source.unpack undestands DEBIAN_DIR now

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 14 May 2006 19:40:54 -0500

dbs (0.34.emdebian2) unstable; urgency=low

  * fixed svn 

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Sat, 15 Apr 2006 11:25:51 +0300

dbs (0.34.emdebian1) unstable; urgency=low

  * emdebian: use DEBIAN_DIR environment variable for debian dir,
    or debian/ by default

 -- Yauheni Kaliuta <y.kaliuta@gmail.com>  Thu, 13 Apr 2006 23:15:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Warren Turkal <wt@midsouth.rr.com>
-Build-Depends-Indep: debhelper, xmlto
+Build-Depends-Indep: debhelper, xmlto, dpatch
 Standards-Version: 3.6.1
 
 Package: dbs
 Architecture: all
-Depends: make, bzip2, ${perl:Depends}
+Depends: make, bzip2, ${perl:Depends}, debian-dir
 Description: Allows Debian source packages with multiple patches
  DBS stands for Debian Build System and is an alternative approach for
  source packages which want to ship a pristine source and then apply

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=1
 
+include /usr/share/dpatch/dpatch.make
+
 build: build-stamp
-build-stamp:
+build-stamp: patch-stamp
 	dh_testdir
 
 	
@@ -19,7 +21,7 @@
 
 	touch build-stamp
 
-clean:
+clean:	unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp

## dbs 0.35

=== debian/changelog ===
dbs (0.35) unstable; urgency=low

  * change maintainer email

 -- Warren Turkal <wt@penguintechs.com>  Wed, 27 Apr 2005 05:54:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dbs
 Section: devel
 Priority: optional
-Maintainer: Warren Turkal <wt@midsouth.rr.com>
-Build-Depends-Indep: debhelper, xmlto, dpatch
+Maintainer: Warren Turkal <wt@penguintechs.com>
+Build-Depends-Indep: debhelper, xmlto
 Standards-Version: 3.6.1
 
 Package: dbs
 Architecture: all
-Depends: make, bzip2, ${perl:Depends}, debian-dir
+Depends: make, bzip2, ${perl:Depends}
 Description: Allows Debian source packages with multiple patches
  DBS stands for Debian Build System and is an alternative approach for
  source packages which want to ship a pristine source and then apply

## dbs 0.36

=== debian/changelog ===
dbs (0.36) unstable; urgency=low

  * reorder find arguments, Guillem Jover (closes: #315374)

 -- Warren Turkal <wt@penguintechs.com>  Wed,  3 Aug 2005 12:03:17 -0500

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,10 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
-
-include /usr/share/dpatch/dpatch.make
+export DH_COMPAT=3
 
 build: build-stamp
-build-stamp: patch-stamp
+build-stamp:
 	dh_testdir
 
 	
@@ -21,7 +19,7 @@
 
 	touch build-stamp
 
-clean:	unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -38,21 +36,21 @@
 	dh_clean -k
 	dh_installdirs
 
-	install -m755 dbs-edit-patch debian/tmp/usr/bin
-	install -m755 file2cat debian/tmp/usr/share/dbs
-	install -m755 dbs_split debian/tmp/usr/share/dbs
-	install -m755 dbs-build.mk debian/tmp/usr/share/dbs
-	install -m755 sys-build.mk debian/tmp/usr/share/dbs
-	install -m644 dpkg-arch.mk debian/tmp/usr/share/dbs
-	install -m644 bash_completion debian/tmp/etc/bash_completion.d/dbs-edit-patch
+	install -m755 dbs-edit-patch debian/dbs/usr/bin
+	install -m755 file2cat debian/dbs/usr/share/dbs
+	install -m755 dbs_split debian/dbs/usr/share/dbs
+	install -m755 dbs-build.mk debian/dbs/usr/share/dbs
+	install -m755 sys-build.mk debian/dbs/usr/share/dbs
+	install -m644 dpkg-arch.mk debian/dbs/usr/share/dbs
+	install -m644 bash_completion debian/dbs/etc/bash_completion.d/dbs-edit-patch
 
-	install -m755 archmap debian/tmp/usr/share/dbs
-	install -m755 getglibcversion debian/tmp/usr/share/dbs
-	install -m755 lib debian/tmp/usr/share/dbs
-	install -m755 Makefile debian/tmp/usr/share/dbs
-	install -m644 messages debian/tmp/usr/share/dbs
-	install -m755 source.unpack debian/tmp/usr/share/dbs
-	install -m755 vars.build debian/tmp/usr/share/dbs
+	install -m755 archmap debian/dbs/usr/share/dbs
+	install -m755 getglibcversion debian/dbs/usr/share/dbs
+	install -m755 lib debian/dbs/usr/share/dbs
+	install -m755 Makefile debian/dbs/usr/share/dbs
+	install -m644 messages debian/dbs/usr/share/dbs
+	install -m755 source.unpack debian/dbs/usr/share/dbs
+	install -m755 vars.build debian/dbs/usr/share/dbs
 
 # Build architecture-independent files here.
 binary-indep: build install

## dbs 0.42

=== debian/changelog ===
dbs (0.42) unstable; urgency=low

  * Upload to unstable.
  * bash-completition: use the same find expression for searching for the
    patch files as in the /u/s/d/internal/lib script.
  * Standards-Version: 3.7.0

 -- Robert Luberda <robert@debian.org>  Mon,  1 May 2006 17:41:03 +0200

dbs (0.41) experimental; urgency=low

  * dbs-edit-patch: modify to also use the internal/lib script.
  * internal/lib: a few changes in do_patching() for dbs-edit-patch.
  * internal/lib: move the logs of unpacking upstream tarballs to the
    log directory.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 23:44:45 +0200

dbs (0.40) experimental; urgency=low

  * dbs-build.mk: use the internal/lib script (as in sys-build.mk) to do
    the actuall work of extracting source, applying patches, etc. This makes
    the code management easier for me and gives dbs-build.mk almost the same
    set of features sys-build.mk has (e.g. handling of *.zip archives or
    non-default directories for upstream tarballs)
  * internal/lib - to make the above change work:
    + allow the dbs variables to be specified in program arguments, not only
      in debian/vars file, which may not exists when dbs-build.mk is used.
    + implement STRIP_LEVEL variable describing striplevel of patch command
      (defaults: 0 for dbs-build.mk, 1 for sys-build.mk).
  * Create link /u/s/dbs/internal/dbs_split to ../dbs_split not to break
    backward compatibility with packages which call $(SCRIPTS_DIR)/dbs_split.

 -- Robert Luberda <robert@debian.org>  Sun, 12 Mar 2006 14:31:38 +0100

dbs (0.39) experimental; urgency=low

  * messages: change '.' to '_' in the identifiers to get the messages
    actually printed.
  * Remove archmap and getglibcversion from the binary package, they don't
    seem to be used and archmap didn't work anyway.
  * Move contents of source.unpack script into lib (as the source_unpack
    function) for consistency.
  * Install scripts not to be used directly by the other packages in
    /usr/share/dbs/internal.
  * Rename Makefile to vars.mk.
  * More housekeeping work against the source package:
    + move bash_completition to etc subdir.
    + move original* dirs to old_sources.
    + move archmap, source_unpack & getglibcversion to old_sources.
    + move remaining source files to src and src/internal directories.
  * dbs-build.mk: made the first steps to synchronise with sys-build.mk:
    + add the SRC_TAR_DIR variable for the location of the upstream tarballs
    + include debian/vars if it exists.
  * sys-build.mk, dbs-build.mk, dbs-edit-patch: update for the above changes.

 -- Robert Luberda <robert@debian.org>  Wed,  1 Mar 2006 00:16:26 +0100

dbs (0.38) unstable; urgency=low

  * Mention dbs(7) in README.Debian (closes: #248484).
  * dbs-edit-patch: handle -T and -P options with getopt (closes: #324986).
    However setting appropriate variables in debian/vars is much more
    comfortable then using the options.
  * dbs-edit-patch.1:
    + use plain text format for the page instead of the XML one
    + document the new options.
  * dbs.7: minor formatting fixes.
  * sys-build.mk: Unexport CDPATH & ENV (just like I did in dbs-build.mk).
  * dbs-build.mk: Remove deprecated `-3' option from diff call in the i
    make_patch target.
  * dbs-split: Check for existence of debian/compat file if DH_COMPAT variable
    is not defined.
  * debian/rules: preserve timestamp of installed files.
  * debian/control: remove build-dependency on xmlto.
  * Reorganise a source tree a bit, move man pages and examples to separate
    subdirectories, remove unneeded dbs.sgml & lib.compat files.

 -- Robert Luberda <robert@debian.org>  Thu, 23 Feb 2006 22:07:22 +0100

dbs (0.37) unstable; urgency=low

  * New maintainer (closes: 352609).
  * Add support for new dpkg-architecture (closes:  #316722).
  * lib: Reorder find arguments (closes: #340435).
  * Prune CVS and .svn directories (closes: #340441).
  * dbs-build.mk: Unexport CDPATH and ENV variables (closes: #334988).
  * bash_completition: Rename `-' to `_' in the function name (closes: #306064).
  * debian/control: move debhelper to Build-Depends, since it's needed in the
    clean target.
  * Standards-Version: 3.6.2.
  * debian/rules: Upgrade to debhelper v4.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Feb 2006 17:42:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dbs
 Section: devel
 Priority: optional
-Maintainer: Warren Turkal <wt@penguintechs.com>
-Build-Depends-Indep: debhelper, xmlto
-Standards-Version: 3.6.1
+Maintainer: Robert Luberda <robert@debian.org>
+Build-Depends: debhelper (>= 4.2.30)
+Standards-Version: 3.7.0
 
 Package: dbs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -p -m755 src/dbs-edit-patch 	 debian/dbs/usr/bin
	install -p -m644 etc/bash_completion 	 debian/dbs/etc/bash_completion.d/dbs-edit-patch
	
	install -p -m755 src/dbs_split 		 debian/dbs/usr/share/dbs
	install -p -m755 src/dbs-build.mk 	 debian/dbs/usr/share/dbs
	install -p -m755 src/sys-build.mk 	 debian/dbs/usr/share/dbs
	install -p -m644 src/dpkg-arch.mk 	 debian/dbs/usr/share/dbs

	#install -p -m755 archmap debian/dbs/usr/share/dbs
	#install -p -m755 getglibcversion debian/dbs/usr/share/dbs
	install -p -m644 src/internal/README 	 debian/dbs/usr/share/dbs/internal
	install -p -m755 src/internal/file2cat	 debian/dbs/usr/share/dbs/internal
	install -p -m755 src/internal/lib 	 debian/dbs/usr/share/dbs/internal
	install -p -m755 src/internal/vars.mk 	 debian/dbs/usr/share/dbs/internal
	install -p -m644 src/internal/messages 	 debian/dbs/usr/share/dbs/internal
	install -p -m755 src/internal/vars.build debian/dbs/usr/share/dbs/internal
	#install -p -m755 source.unpack debian/dbs/usr/share/dbs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman man/dbs-edit-patch.1 man/dbs.7
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dbs 0.42-0osso1

=== debian/changelog ===
dbs (0.42-0osso1) unstable; urgency=low

  * Set maintainer to integration@maemo.org
  * Add GPL and LGPL licences to packaging

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 29 Aug 2007 11:01:15 +0300

## dbs 0.43

=== debian/changelog ===
dbs (0.43) unstable; urgency=low

  * Follow symbolic links in unpack_source() (closes: #422003).
  * Standards-Version: 3.7.2 (no changes).
  * Bump debhelper compatibility level to 5.

 -- Robert Luberda <robert@debian.org>  Thu, 03 May 2007 19:54:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 4.2.30)
-Standards-Version: 3.7.0
+Build-Depends: debhelper (>= 5.0.40)
+Standards-Version: 3.7.2
 
 Package: dbs
 Architecture: all

## dbs 0.44

=== old_sources/original-glib2.0-2.0.6/debian/scripts/Makefile ===
#!/usr/bin/make -f
all: sh.vars mk.vars

clean:
	rm -f sh.vars mk.vars

mk.vars: vars.build vars
	$(SHELL) vars.build vars make > $@
sh.vars: vars.build vars
	$(SHELL) vars.build vars shell > $@

=== debian/changelog ===
dbs (0.44) unstable; urgency=low

  * Remove the dead URL from package description (closes: #440379).
  * Fix the `debian-rules-ignores-make-clean-error' lintian warning.

 -- Robert Luberda <robert@debian.org>  Thu, 11 Oct 2007 21:32:54 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,3 @@
  source packages which want to ship a pristine source and then apply
  patches to it. This allows the distribution of multiple patches inside
  one package that are applied during the build process.
- .
- Please see http://snoopy.apana.org.au/~bam/debian/faq/#dbs for further
- information on DBS.

=== old_sources/original-glib2.0-2.0.6/debian/control ===
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Akira TAGOH <tagoh@debian.org>
Build-Depends: debhelper (>> 3.0.0), pkg-config, gettext
Standards-Version: 3.5.2

Package: libglib2.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libglib2.0-data
Description: The GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-dev
Section: devel
Architecture: any
Depends: libglib2.0-0 (= ${Source-Version}), libc6-dev, pkg-config
Suggests: libglib2.0-doc
Replaces: libglib1.3-dev
Conflicts: libglib1.3-dev
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libglib2.0-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libglib2.0-0 (= ${Source-Version})
Description: The GLib libraries and debugging symbols
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps.  The libraries are installed
 in /usr/lib/debug and can be used by placing that directory in
 LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libglib2.0-data
Section: misc
Architecture: all
Depends: libglib2.0-0 (= ${Source-Version})
Replaces: libglib1.3, libglib1.3-data
Conflicts: libglib1.3-data
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the common files which the runtime libraries
 need.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Replaces: libglib1.3-doc
Conflicts: libglib1.3-doc
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,12 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	#$(MAKE)
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
 
 	dh_clean

=== old_sources/original-glib2.0-2.0.6/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include debian/scripts/vars
BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

##
version=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' -e 's/-[A-Za-z0-9\.]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
major=$(shell echo ${version} | sed -e 's/\(^[0-9]*\)\.[0-9]*\.[0-9]*$$/\1/')
minor=$(shell echo ${version} | sed -e 's/^[0-9]*\.\([0-9]*\)\.[0-9]*$$/\1/')
rel=$(shell echo ${version} | sed -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\)$$/\1/')
shortver=$(major).$(minor)
soname=0
libpath=$(CURDIR)/$(BUILD_DIR)/glib/.libs:$(CURDIR)/$(BUILD_DIR)/gmodule/.libs:$(CURDIR)/$(BUILD_DIR)/gobject/.libs:$(CURDIR)/$(BUILD_DIR)/gthread/.libs

_echo_cfiles = for f in ${1}; do if [ -f $$f ]; then echo $$f; fi; done
cfiles := $(shell $(call _echo_cfiles, $(wildcard debian/libglib$(shortver)-@SONAME@.*)))


debian/control:
	dh_testdir

	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@

configure: $(STAMP_DIR)/configure-stamp
$(STAMP_DIR)/configure-stamp:
	dh_testdir

	$(MAKE) -f debian/sys-build.mk source.make

	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub $(BUILD_DIR)/config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess $(BUILD_DIR)/config.guess

	# When install the shared libraries, don't relink it.
	cp debian/fixed-ltmain.sh $(BUILD_DIR)/ltmain.sh

	# Add here commands to configure the package.
	cd $(BUILD_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-html-dir=\$${prefix}/share/doc/libglib$(shortver)-doc \
			--enable-static

	cd $(BUILD_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

build: debian/control configure $(STAMP_DIR)/build-stamp
$(STAMP_DIR)/build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(BUILD_DIR) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

	touch $@

clean: debian/control
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(MAKE) -f debian/sys-build.mk source.clean
	-rm -rf $(STAMP_DIR)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -C $(BUILD_DIR) install \
		prefix=$(CURDIR)/debian/libglib$(shortver)-$(soname)/usr

	# generating debian files from .in
	for f in ${cfiles}; do \
		cp $$f `echo $$f | sed -e 's/@SONAME@/${soname}/g'`; \
	done
	for f in `find debian/ -name "[^c]*.in"`; do \
		sed -e 's/@VERSION@/${version}/g' $$f > `echo $$f | sed -e 's/\.in//'`; \
	done

	# for -dbg
	mkdir -p $(CURDIR)/debian/libglib$(shortver)-$(soname)/usr/lib/debug
	for l in `find $(CURDIR)/debian/libglib$(shortver)-$(soname)/usr/lib -name '*.so*'`; do \
		cp -vdf $$l \
			$(CURDIR)/debian/libglib$(shortver)-$(soname)/usr/lib/debug/; \
	done

	dh_movefiles --sourcedir=debian/libglib$(shortver)-$(soname)
	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p 2>&1 > /dev/null

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_installdocs -i

	rm -rf $(CURDIR)/debian/libglib$(shortver)-data/usr/share/doc/libglib$(shortver)-data
	dh_link -plibglib$(shortver)-data \
		usr/share/doc/libglib$(shortver)-$(soname) \
		usr/share/doc/libglib$(shortver)-data

	dh_installexamples -i
	dh_installinfo -i
	dh_installchangelogs -i $(BUILD_DIR)/ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_installdocs -a

	rm -rf $(CURDIR)/debian/libglib$(shortver)-dbg/usr/share/doc/libglib$(shortver)-dbg
	rm -rf $(CURDIR)/debian/libglib$(shortver)-dev/usr/share/doc/libglib$(shortver)-dev
	dh_link -plibglib$(shortver)-dbg \
		usr/share/doc/libglib$(shortver)-$(soname) \
		usr/share/doc/libglib$(shortver)-dbg
	dh_link -plibglib$(shortver)-dev \
		usr/share/doc/libglib$(shortver)-$(soname) \
		usr/share/doc/libglib$(shortver)-dev

	dh_installexamples -a
	dh_installmenu -a
	dh_installman -plibglib$(shortver)-dev
	dh_installinfo -a
	dh_undocumented -a
	dh_installchangelogs -a $(BUILD_DIR)/ChangeLog
	dh_strip -a -Nlibglib$(shortver)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -Nlibglib$(shortver)-dbg
	dh_makeshlibs	-plibglib$(shortver)-$(soname) \
			-V "libglib${shortver}-${soname} (>= ${version})"
	dh_installdeb -a
	dh_shlibdeps -l$(libpath) -a
	cat debian/*/DEBIAN/shlibs > debian/shlibs.local
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure debian/control

## dbs 0.45

=== debian/changelog ===
dbs (0.45) unstable; urgency=low

  * Remove bashism from internal/lib (closes: #489561).
  * Standards-Version: 3.8.0 (no changes).
  * Update debian/copyright (lintian).
  * Switch debhelper's v7 compat mode. 

 -- Robert Luberda <robert@debian.org>  Tue, 08 Jul 2008 07:44:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 5.0.40)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7.0.9)
+Standards-Version: 3.8.0
 
 Package: dbs
 Architecture: all

## dbs 0.46

=== debian/changelog ===
dbs (0.46) unstable; urgency=low

  * dbs-edit-patch:
    + add support for patch descriptions;
    + try to generate debian/vars from debian/vars.in if the latter file
      exists. 
  * Update dbs-edit-patch man page.
  * Rename examples/README.build to examples/README.source.
  * Fix problems found by lintian:
    + switch to dpkg-source 3.0 (native) format;
    + use dh_prep instead of deprecated `dh_clean -k';
    + depend on  ${misc:Depends};
    + fix typo in dbs-edit-patch(1).
  * Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 23 Mar 2010 20:57:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 7.0.9)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.4
 
 Package: dbs
 Architecture: all
-Depends: make, bzip2, ${perl:Depends}
+Depends: make, bzip2, ${perl:Depends}, ${misc:Depends}
 Description: Allows Debian source packages with multiple patches
  DBS stands for Debian Build System and is an alternative approach for
  source packages which want to ship a pristine source and then apply

## dbs 0.47

=== debian/changelog ===
dbs (0.47) unstable; urgency=low

  * dbs is deprecated, 3.0 (quilt) format should be used instead;
    put suitable warning in *.mk files and man pages.
  * Standards-Version: 3.9.1 (no changes).
  * Bump debhelper compat mode to 8.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Feb 2011 22:09:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 7.0.9)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.1
 
 Package: dbs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	install -p -m755 src/dbs-edit-patch 	 debian/dbs/usr/bin
